Get news for a company
curl --request GET \
--url https://rest.forestreet.com/v2/impact/companies/{identifier}/news \
--header 'x-api-key: <api-key>'import requests
url = "https://rest.forestreet.com/v2/impact/companies/{identifier}/news"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest.forestreet.com/v2/impact/companies/{identifier}/news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"pageUrl": "<string>",
"summary": "<string>",
"sentiment": 123,
"estimatedDate": {
"str": "<string>",
"precision": 123,
"timestamp": 123
},
"image": "<string>"
}
]{
"success": false,
"errorCode": "INVALID_INPUT",
"message": "Bad Request"
}{
"success": false,
"errorCode": "NOT_FOUND",
"message": "Company not found"
}Impact Intelligence
Get news for a company
Get news for a specific company
GET
/
v2
/
impact
/
companies
/
{identifier}
/
news
Get news for a company
Authorizations
apiKeyAuthbearerAuthsessionIdQuery
Pass a static API key for every request, provided by your customer support.
Path Parameters
Unique identifier of the company.
Minimum string length:
1Response
Get news for a specific company response
Title of the news article.
URL link to the news page.
Brief summary of the news content.
Sentiment score of the article.
Estimated date details for the article.
Show child attributes
Show child attributes
Image URL associated with the article.
⌘I